Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 550300 - app-misc/pax-utils-1.0.3: please stabilize
Summary: app-misc/pax-utils-1.0.3: please stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: SpanKY
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2015-05-24 13:46 UTC by Shiz
Modified: 2015-06-21 16:13 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shiz 2015-05-24 13:46:30 UTC
Currently when attempting to perform a stage 3 install from the latest experimental/hardened/musl/amd64 tarball, an emerge -NuD world fails because the main tree ships =app-misc/pax-utils-0.8.1 as stable and =app-misc/pax-utils-0.8.1-r99 is unstable in the hardened-dev overlay. This causes Portage to install the main tree version, which then fails because it doesn't apply the necessary musl compatibility patches.

An alternative solution is to add =app-misc/pax-utils-0.8.1-r99 ~* to the hardened/linux/musl profiles' package.accept_keywords, or <app-misc/pax-utils-0.8.1-r99 to package.mask.
Comment 1 Anthony Basile gentoo-dev 2015-05-24 14:41:01 UTC
This is fixed in 0.9.1 and above, see bug #507470.  What we should do is stabilize 1.0.3 if the maintainer is okay with that.

@vapier.  okay to stabilize?
Comment 2 SpanKY gentoo-dev 2015-05-24 16:35:55 UTC
1.0.3 is the only one that should go stable now.  earlier ones are no good.
Comment 3 Anthony Basile gentoo-dev 2015-05-25 00:43:41 UTC
stable on ppc and ppc64.

also ... 

  24 May 2015; Mikle Kolyada <zlogene@gentoo.org> pax-utils-1.0.3.ebuild:
  amd64 stable wrt bug #550300

forgot to remove amd64 from cc list.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-05-25 10:47:44 UTC
x86 stable
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2015-05-28 16:22:04 UTC
Stable for HPPA.
Comment 6 Jack Morgan (RETIRED) gentoo-dev 2015-06-02 05:21:06 UTC
sparc stable
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-06-21 16:13:40 UTC
alpha stable